2015年09月25日

catalystを更新。archbang-rc-20141215-x86_64

数あるarchbangで唯一これだけで、
catalystドライバをインストールしている。

新しいxorg-serverに未対応で、
xorg-serverの更新をすーっと止めていた。

catalystのリポジトリ[catalyst-stable]を
開きっぱなしにしていたら、更新があったみたいで、
ターミナルの更新時の表示にはいろいろ出た。
以下は、logになってからのものだけど、
だいたい以下のような内容だった。文字化けが若干ある。

[2015-09-25 16:54] [ALPM] upgraded catalyst-hook (15.5-1 -> 15.9-1)
[2015-09-25 16:54] [ALPM-SCRIPTLET] - removing fglrx module from /usr/lib/modules/4.1.6-1-ARCH
[2015-09-25 16:54] [ALPM-SCRIPTLET] - removing fglrx module from /usr/lib/modules/extramodules-4.0-ARCH
[2015-09-25 16:54] [ALPM-SCRIPTLET] - removing empty directory: /usr/lib/modules/extramodules-4.0-ARCH
[2015-09-25 16:54] [ALPM-SCRIPTLET] + building fglrx module for 3.18.1-ARCH kernel ...
[2015-09-25 16:54] [ALPM-SCRIPTLET] Failed!!! Check out log: /var/log/catalyst-install.log
[2015-09-25 16:54] [ALPM-SCRIPTLET] + building fglrx module for 4.1.6-1-ARCH kernel ...
[2015-09-25 16:55] [ALPM-SCRIPTLET] ok.
[2015-09-25 16:55] [ALPM-SCRIPTLET] ------------------------- ANGELA -------------------------------
[2015-09-25 16:55] [ALPM-SCRIPTLET] To enable 'automatic re-compilation while system shutdown/reboot'
[2015-09-25 16:55] [ALPM-SCRIPTLET] feature run these commands as root:
[2015-09-25 16:55] [ALPM-SCRIPTLET] systemctl enable catalyst-hook
[2015-09-25 16:55] [ALPM-SCRIPTLET] systemctl start catalyst-hook
[2015-09-25 16:55] [ALPM-SCRIPTLET]
[2015-09-25 16:55] [ALPM-SCRIPTLET] More info here:
[2015-09-25 16:55] [ALPM-SCRIPTLET] https://bbs.archlinux.org/viewtopic.php?pid=1255575#p1255575
[2015-09-25 16:55] [ALPM-SCRIPTLET] ----------------------------------------------------------------


[2015-09-25 17:00] [ALPM] reinstalled catalyst-libgl (15.9-1)
[2015-09-25 17:00] [ALPM-SCRIPTLET] --------------------------- PXP --------------------------------
[2015-09-25 17:00] [ALPM-SCRIPTLET] @pxp_user: I switched GL/glx links to catalyst again...
[2015-09-25 17:00] [ALPM-SCRIPTLET] ----------------------------------------------------------------
[2015-09-25 17:00] [ALPM] reinstalled catalyst-utils (15.9-1)
[2015-09-25 17:00] [ALPM-SCRIPTLET] -------------------------- TTY BUG -----------------------------
[2015-09-25 17:00] [ALPM-SCRIPTLET] There's a bug in switching to VT/TTY
[2015-09-25 17:00] [ALPM-SCRIPTLET] Using uvesafb is a workaround:
[2015-09-25 17:00] [ALPM-SCRIPTLET] https://wiki.archlinux.org/index.php/uvesafb
[2015-09-25 17:00] [ALPM-SCRIPTLET] ----------------------------------------------------------------
[2015-09-25 17:00] [ALPM] reinstalled catalyst-hook (15.9-1)
[2015-09-25 17:00] [ALPM-SCRIPTLET] - removing fglrx module from /usr/lib/modules/4.1.6-1-ARCH
[2015-09-25 17:00] [ALPM-SCRIPTLET] + building fglrx module for 3.18.1-ARCH kernel ...
[2015-09-25 17:00] [ALPM-SCRIPTLET] Failed!!! Check out log: /var/log/catalyst-install.log
[2015-09-25 17:00] [ALPM-SCRIPTLET] + building fglrx module for 4.1.6-1-ARCH kernel ...
[2015-09-25 17:01] [ALPM-SCRIPTLET] ok.
[2015-09-25 17:01] [ALPM-SCRIPTLET] ------------------------- ANGELA -------------------------------
[2015-09-25 17:01] [ALPM-SCRIPTLET] To enable 'automatic re-compilation while system shutdown/reboot'
[2015-09-25 17:01] [ALPM-SCRIPTLET] feature run these commands as root:
[2015-09-25 17:01] [ALPM-SCRIPTLET] systemctl enable catalyst-hook
[2015-09-25 17:01] [ALPM-SCRIPTLET] systemctl start catalyst-hook
[2015-09-25 17:01] [ALPM-SCRIPTLET]
[2015-09-25 17:01] [ALPM-SCRIPTLET] More info here:
[2015-09-25 17:01] [ALPM-SCRIPTLET] https://bbs.archlinux.org/viewtopic.php?pid=1255575#p1255575
[2015-09-25 17:01] [ALPM-SCRIPTLET] ----------------------------------------------------------------
[2015-09-25 17:01] [ALPM] transaction completed


やったことは、
更新を止めていたxorg-serverの更新。
(同一システム起動時内)

$ sudo pacman -S xorg-server

と、

$ sudo pacman -S catalyst-utils catalyst-hook catalyst-libgl

の再インストール(念のため)。

$ sudo systemctl enable catalyst-hook
$ sudo systemctl start catalyst-hook


も、念のため。

$ sudo reboot

で、問題なくディスプレー表示した。

2015-09-25--1443171699_699x577_scrot.jpg

バージョン、ちゃんと上がったかな?
前の数字、控えていないから、わからない。
pacmanでは、3つともインストールされた
ように表示される。catalystの3パッケージとも、
15.9.1ってことになっている。

ignoreしていた、xorg-serverを解放した。
症状が出てから、対応してくれるまで、
8ヶ月待ちでした。


posted by ブログ開設者 at 18:12| Comment(0) | linux | このブログの読者になる | 更新情報をチェックする

突然のconky消失への対応。archbang & manjaro(openbox)

manjaroのほうは、じつはまだやっていないんだけど、
たぶん、これで治るんじゃないかな。

$ sudo ln -s /usr/lib/libncursesw.so.6.0 /usr/lib/libncursesw.so.5

症状の元は、システム更新時の
ncurses の 5.9-7 -> 6.0-3 だと思う。
症状が出るのは、lua系のconkyじゃないか。
症状が出たのは、いまのところ、
uefi+gptのhddに在るディストロ。
ncursesのdowngradeは、bash gptfdisk readlineなど
の依存関係があり、やりにくい。
この方法がいいでしょう。

archbangのほうのオリジナルなconkyは、
何事もなく表示している。
archbang上で具合悪くなったのは、
conky-lua-archを表示している場合。


posted by ブログ開設者 at 12:56| Comment(0) | linux | このブログの読者になる | 更新情報をチェックする